Loading...
Searching...
No Matches
lime.cpp File Reference

## Namespaces

namespace | lime

## Functions

std::shared_ptr< LimeGeneric > | lime::insert_LimeUser (std::shared_ptr< lime::Db > localStorage, const std::string &deviceId, const std::string &url, const lime::CurveId curve, const uint16_t OPkInitialBatchSize, const limeX3DHServerPostData &X3DH_post_data, const limeCallback &callback)
| : Insert user in database and return a pointer to the control class instanciating the appropriate Lime children class
std::shared_ptr< LimeGeneric > | lime::load_LimeUser (std::shared_ptr< lime::Db > localStorage, const std::string &deviceId, const limeX3DHServerPostData &X3DH_post_data, const bool allStatus)
| : Load user from database and return a pointer to the control class instanciating the appropriate Lime children class